## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLPredicateExistsImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
                          org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLPredicateImpl
                              org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLPredicateExistsImpl

All Implemented Interfaces:
  Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject, XMLPredicate, XMLPredicateExists

public class XMLPredicateExistsImpl
extends XMLPredicateImpl
implements XMLPredicateExists

An implementation of the model object 'XML Predicate Exists'.

The following features are implemented:

- `Xquery Expr`
- `Xquery Arg List`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetXqueryArgList(XMLQueryArgumentList newXqueryArgList, NotificationChain msgs)`
`NotificationChain` `basicSetXqueryExpr(XMLQueryExpression newXqueryExpr, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`XMLQueryArgumentList` `getXqueryArgList()`
`XMLQueryExpression` `getXqueryExpr()`
`void` `setXqueryArgList(XMLQueryArgumentList newXqueryArgList)`
`void` `setXqueryExpr(XMLQueryExpression newXqueryExpr)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setSQL, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getXqueryExpr

    public XMLQueryExpression getXqueryExpr()

  Specified by:
    `getXqueryExpr` in interface `XMLPredicateExists`
  Returns:
    the value of the 'Xquery Expr' containment reference.
  See Also:
    `XMLPredicateExists.setXqueryExpr(XMLQueryExpression)`, `SQLXMLQueryModelPackage.getXMLPredicateExists_XqueryExpr()`, `XMLQueryExpression.getPredicateExists()`

### basicSetXqueryExpr

    public NotificationChain basicSetXqueryExpr(XMLQueryExpression newXqueryExpr,
                                                NotificationChain msgs)

### setXqueryExpr

    public void setXqueryExpr(XMLQueryExpression newXqueryExpr)

  Specified by:
    `setXqueryExpr` in interface `XMLPredicateExists`
  Parameters:
    `newXqueryExpr` - the new value of the 'Xquery Expr' containment reference.
  See Also:
    `XMLPredicateExists.getXqueryExpr()`

### getXqueryArgList

    public XMLQueryArgumentList getXqueryArgList()

  Specified by:
    `getXqueryArgList` in interface `XMLPredicateExists`
  Returns:
    the value of the 'Xquery Arg List' containment reference.
  See Also:
    `XMLPredicateExists.setXqueryArgList(XMLQueryArgumentList)`, `SQLXMLQueryModelPackage.getXMLPredicateExists_XqueryArgList()`, `XMLQueryArgumentList.getPredicateExists()`

### basicSetXqueryArgList

    public NotificationChain basicSetXqueryArgList(XMLQueryArgumentList newXqueryArgList,
                                                   NotificationChain msgs)

### setXqueryArgList

    public void setXqueryArgList(XMLQueryArgumentList newXqueryArgList)

  Specified by:
    `setXqueryArgList` in interface `XMLPredicateExists`
  Parameters:
    `newXqueryArgList` - the new value of the 'Xquery Arg List' containment reference.
  See Also:
    `XMLPredicateExists.getXqueryArgList()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `XMLPredicateImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XMLPredicateImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainer` in class `XMLPredicateImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `XMLPredicateImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `XMLPredicateImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `XMLPredicateImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `XMLPredicateImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.